Bug 75438 - if window exists on every workspace, "Only on Workspace X" doesn't work
if window exists on every workspace, "Only on Workspace X" doesn't work
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-10-08 12:26 EDT by Josiah Royse
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-12 17:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josiah Royse 2002-10-08 12:26:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Once a window exists on every workspace, (Top left window drop down, Select
"Exists on Every workspace") Selecting "Only on Workspace X" only will work on
the current workspace you are on.  

Suppose you are coping files, and you switch to Workspace 2, the nautilus copy
progress box "Exists on Every workspace" and you want to send it back to
workspace 1.  You drop down "Only on Workspace 1" and when you release, the
workspaces flash, and you were switched to Workspace 1, but the nautilus copy
progress box stayed on Workspace 2.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Make a window exist on every workspace.
2.Move to Workspace 2
3.Select window to "Only exist on Workspace 1"


Actual Results:  Window stays where you _were_ on workspace 2, and you were
switched to workspace 1.

Expected Results:  The window switches to workspace 1, with or without your
workspace view changing.

Additional info:
Comment 1 Havoc Pennington 2002-10-08 14:04:38 EDT
Is metacity just crashing and restarting when you choose "Only on workspace 1"
and thus dumping you back to workspace 1?

There was a bug where this menu item caused a crash, I think.
Comment 2 Josiah Royse 2002-10-08 14:41:24 EDT
After I read this, I tried it with the mozilla window: it worked perfectly. 
Then I experimented with a nautilus window to "Put on all Workspaces" and
switched it around using the above method a few times until I saw the metacity

It reloads so fast-  you just notice the flash- then the window hasn't moved
workspaces.  If  Ogg files are playing through Xmms I notice a "glitch" when the
window manager metacity crashes and restarts.  

I have been able to repeat this error in about 1 in 5 times moving nautilus
windows around.  Nothing special about nautilus- I think this would be visible
with any managed window on the desktop.
Comment 3 Havoc Pennington 2002-10-08 14:52:52 EDT
If it's the crash that's the problem, it's already fixed in upstream CVS, so 
just a matter of getting that fix in our packages.
Comment 4 Havoc Pennington 2003-01-12 17:30:50 EST
Seems to be working now.

Note You need to log in before you can comment on or make changes to this bug.